VoyageMongo not working in Pharo 6?

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
5 messages Options
kmo
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

VoyageMongo not working in Pharo 6?

kmo
I just had a quick tryout of VoyageMongo in Pharo 6 and VOMongoRepository>>save:anObject fails because UUIDGenerator does not have the method makeSeed.

UUIDGenerator >> makeSeed was present in pharo 5. It's not there in pharo 6.

I installed from the Catalog browser where VoyageMongo is listed as being OK for pharo 6.
 
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: VoyageMongo not working in Pharo 6?

EstebanLM

> On 14 Jul 2017, at 11:31, kmo <[hidden email]> wrote:
>
> I just had a quick tryout of VoyageMongo in Pharo 6 and
> VOMongoRepository>>save:anObject fails because UUIDGenerator does not have
> the method makeSeed.
>
> UUIDGenerator >> makeSeed was present in pharo 5. It's not there in pharo 6.
>
> I installed from the Catalog browser where VoyageMongo is listed as being OK
> for pharo 6.

yes, this should not happen.
can you share which version of VoyageMongo are you installing?

(is on ConfigurationOfVoyageMongo>>stable: method)

Esteban

>
>
>
>
> --
> View this message in context: http://forum.world.st/VoyageMongo-not-working-in-Pharo-6-tp4954843.html
> Sent from the Pharo Smalltalk Users mailing list archive at Nabble.com.
>


kmo
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: VoyageMongo not working in Pharo 6?

kmo
Is this what you wanted?

ConfigurationOfVoyageMongo>>stable:

stable: spec
        <symbolicVersion: #'stable'>

        spec for: #'common' version: '1.4'.
        spec for: #'pharo1.4.x' version: '1.1.1'.
        spec for: #'pharo2.0.x' version: '1.2.7'.
        spec for: #'pharo3.x' version: '1.3.1'.
        spec for: #'pharo4.x' version: '1.3.3'.
        spec for: #'pharo5.x' version: '1.4'.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: VoyageMongo not working in Pharo 6?

EstebanLM
mmm
yes, seems that we forget to update the catalog version. I will do it soon, but for the moment, please install using this: 

Metacello new 
	repository: '<a href="github://pharo-nosql/voyage:1.5/mc" class="">github://pharo-nosql/voyage:1.5/mc';
	baseline: 'Voyage';
	load: 'mongo tests'.

cheers!
Esteban


On 14 Jul 2017, at 15:00, kmo <[hidden email]> wrote:

Is this what you wanted?

ConfigurationOfVoyageMongo>>stable:

stable: spec
<symbolicVersion: #'stable'>

spec for: #'common' version: '1.4'.
spec for: #'pharo1.4.x' version: '1.1.1'.
spec for: #'pharo2.0.x' version: '1.2.7'.
spec for: #'pharo3.x' version: '1.3.1'.
spec for: #'pharo4.x' version: '1.3.3'.
spec for: #'pharo5.x' version: '1.4'.



--
View this message in context: http://forum.world.st/VoyageMongo-not-working-in-Pharo-6-tp4954843p4954869.html
Sent from the Pharo Smalltalk Users mailing list archive at Nabble.com.


kmo
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: VoyageMongo not working in Pharo 6?

kmo
Thanks
Loading...